<div class="m-portlet m-portlet--mobile">
    <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
            <div class="m-portlet__head-title">
                <h3 class="m-portlet__head-text">
                    Categories List
                </h3>
            </div>
        </div>
        <div class="m-portlet__head-tools">
            <ul class="m-portlet__nav">
                <li v-if="loadingStatus" class="m-portlet__nav-item">
                    <div class="m-loader m-loader--brand m-loader--lg" style="width: 30px; display: inline-block;"></div>
                </li>
                <li class="m-portlet__nav-item">
                    <router-link :to="{ name: 'create' }" class="btn btn-focus m-btn m-btn--custom m-btn--pill m-btn--icon m-btn--air">
                        <span>
                            <i class="la la-cart-plus"></i>
                            <span>New Category</span>
                        </span>
                    </router-link>
                </li>
            </ul>
        </div>
    </div>

    <data-table-component :searchColumns="searchColumns"
                          :tableColumns="tableColumns"
                          :routeName="routeName"
                          @edit-row="editCategory"
                          @delete-row="deleteCategory">
    </data-table-component>
</div>